#!/bin/bash -e

echo "================== Installing java packages ==================="

GRADLE_VERSION=6.5
echo "Installing gradle version: $GRADLE_VERSION"
echo "================ Installing gradle ================="
wget -nv https://services.gradle.org/distributions/gradle-$GRADLE_VERSION-all.zip
unzip -qqo gradle-$GRADLE_VERSION-all.zip -d /usr/local && rm -f gradle-$GRADLE_VERSION-all.zip
ln -fs /usr/local/gradle-$GRADLE_VERSION/bin/gradle /usr/bin
echo "export PATH=$PATH:/usr/local/gradle-$GRADLE_VERSION/bin" >> /etc/drydock/.env

APACHE_MAVEN_MAJOR_VERSION=3
APACHE_MAVEN_VERSION=3.6.3
echo "Installing apache-maven version: $APACHE_MAVEN_VERSION"
echo "================ Installing apache-maven-$APACHE_MAVEN_VERSION ================="
wget -nv https://archive.apache.org/dist/maven/maven-$APACHE_MAVEN_MAJOR_VERSION/$APACHE_MAVEN_VERSION/binaries/apache-maven-$APACHE_MAVEN_VERSION-bin.tar.gz
tar xzf apache-maven-$APACHE_MAVEN_VERSION-bin.tar.gz -C /usr/local && rm -f apache-maven-$APACHE_MAVEN_VERSION-bin.tar.gz
ln -fs /usr/local/apache-maven-$APACHE_MAVEN_VERSION/bin/mvn /usr/bin
echo "export PATH=$PATH:/usr/local/apache-maven-$APACHE_MAVEN_VERSION/bin" >> /etc/drydock/.env
echo "export M2_HOME=/usr/local/apache-maven-$APACHE_MAVEN_VERSION/" >> /etc/drydock/.env

APACHE_ANT_VERSION=1.10.8
echo "Installing apache-ant version: $APACHE_ANT_VERSION"
echo "================ Installing apache-ant-$APACHE_ANT_VERSION ================="
wget -nv https://archive.apache.org/dist/ant/binaries/apache-ant-$APACHE_ANT_VERSION-bin.tar.gz
tar xzf apache-ant-$APACHE_ANT_VERSION-bin.tar.gz -C /usr/local && rm -f apache-ant-$APACHE_ANT_VERSION-bin.tar.gz
ln -fs /usr/local/apache-ant-$APACHE_ANT_VERSION/bin/ant /usr/bin
echo "export ANT_HOME=/usr/local/apache-ant-$APACHE_ANT_VERSION" >> /etc/drydock/.env
echo "export PATH=$PATH:/usr/local/apache-ant-$APACHE_ANT_VERSION/bin" >> /etc/drydock/.env

echo "================ Installing openjdk14 ================="
wget -nv https://download.java.net/java/GA/jdk14/076bab302c7b4508975440c56f6cc26a/36/GPL/openjdk-14_linux-x64_bin.tar.gz
tar xvf openjdk-14_linux-x64_bin.tar.gz
sudo mv jdk-14 /opt/
sudo tee /etc/profile.d/jdk14.sh <<EOF
export JAVA_HOME=/opt/jdk-14
export PATH=\$PATH:\$JAVA_HOME/bin
EOF
source /etc/profile.d/jdk14.sh
